--- lexer_v3.l	23 Nov 2004 04:28:02 -0000	1.154
+++ lexer_v3.l	26 Nov 2004 15:55:54 -0000
@@ -214,6 +214,7 @@
 
 %s TEXT HTML BOGO_LEX
 %s HTOKEN HDISCARD SCOMMENT LCOMMENT
+%s UUENCODED
 %s PGP_HEAD PGP_BODY
 
 %%
@@ -231,6 +232,11 @@
 						  yy_unput(w->text, text_decode(w));
 						}
 
+<TEXT>begin\ 666\ .*  				{ BEGIN UUENCODED; }
+<UUENCODED>end$					{ BEGIN TEXT; }
+<UUENCODED>{TOKEN}				/* ignore tokens */
+<UUENCODED>\${NUM}(\.{NUM})?			/* ignore money */
+
 <INITIAL>^(To|CC|From|Return-Path|Subject|Received):	{ set_tag(yytext); }
 <INITIAL>^Content-(Transfer-Encoding|Type|Disposition):{MTYPE}	{ mime_content(yy_text()); skip_to(':'); return TOKEN; }
 
